Webhook Receiver PROD

The endpoint receives internal webhooks for testing purposes.

post
https://api.migros.ch/migros/enterprise-support/content/v1/webhooks/receive

Headers

x-contentful-topicstringrequired

This value originates from Contentful and contains the event type. Example: ContentManagement.Entry.auto_save

Body

application/json

ContentfulPayloadDto

contentTypestringrequired

Contentful content type

Example:article

entryIdstringrequired

Contentful entry id

Example:3aVP1JMlTfho9xXBcikB6o

environmentIdstringrequired

Contentful environment id

Example:staging

revisionnumber

Contentful entry revision

Example:5

spaceIdstringrequired

Contentful space id

Example:7b58bfib3n9x

Response

Webhook processed successfully

post/migros/enterprise-support/content/v1/webhooks/receive

Body

{ "contentType": "article", "entryId": "3aVP1JMlTfho9xXBcikB6o", "environmentId": "staging", "spaceId": "7b58bfib3n9x" }
 

ContentfulApiHealthReportDto

object
doesSpaceExistbooleanrequired

The space ID for the Contentful API

Default:false

Example:true

isKeyValidbooleanrequired

The key for accessing the Contentful API

Default:false

Example:true

isServiceAvailablebooleanrequired

Status about the connection to the endpoint

Default:false

Example:true

Example

ContentfulPayloadDto

object
contentTypestringrequired

Contentful content type

Example:article

entryIdstringrequired

Contentful entry id

Example:3aVP1JMlTfho9xXBcikB6o

environmentIdstringrequired

Contentful environment id

Example:staging

revisionnumber

Contentful entry revision

Example:5

spaceIdstringrequired

Contentful space id

Example:7b58bfib3n9x

Example

ElasticsearchHealthReportDto

object
healthReportobjectrequired

Health report of the elasticsearch cluster

isKeyValidbooleanrequired

The key for accessing the Elasticsearch API

Default:false

Example:true

isServiceAvailablebooleanrequired

Status about the connection to the endpoint.

Default:false

Example:true

Example

ErrorResponse

object

Standard error response returned by the API on failures.

exceptionobjectrequired

Detailed exception payload.

pathstringrequired

Request path that caused the error.

statusCodeinteger(int32)required

HTTP status code of the error.

timestampstring(date-time)required

ISO8601 timestamp when the error occurred.

Example